/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：医生信息表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.repository;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xwd.hospital.server.dto.*;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;
import com.xwd.hospital.server.domain.DoctorInfo;
import com.xwd.hospital.server.repository.base.DoctorInfoBaseMapper;

@Repository
public interface DoctorInfoMapper extends DoctorInfoBaseMapper {

    List<DoctorDto> queryDoctorList(@Param("sickness")String sickness,
                                    @Param("doctorName")String doctorName,
                                    @Param("departmentName")String departmentName,
                                    @Param("departmentIdList") List<Long> departmentIdList);

    IPage<DoctorDto> queryDoctorListLikely(@Param("page") Page<DoctorDto> page,@Param("keyword")String keyword,
                                          @Param("departmentIdList") List<Long> departmentIdList);

    DoctorInfoDto queryDoctorDetail(@Param("doctorId")Long doctorId);

    String selectNameById(Long doctorId);

    List<DiseaseDto> queryDiseaseList(@Param("doctorId")Long doctorId);
    IPage<PatientInfoDto> queryMyPatient(@Param("page") Page<PatientInfoDto> page,
                                         @Param("doctorId")Long doctorId,
                                         @Param("patientName") String patientName);

    IPage<ReferralDoctorDto> queryDoctorByHospitalId(@Param("page") Page<ReferralDoctorDto> page,
                                                     @Param("hospitalId")Long hospitalId,
                                                     @Param("doctorName")String doctorName);
}
