/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：影像报告表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.repository;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xwd.hospital.server.dto.DoctorAskDto;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;
import com.xwd.hospital.server.domain.MedicalReport;
import com.xwd.hospital.server.repository.base.MedicalReportBaseMapper;

@Repository
public interface MedicalReportMapper extends MedicalReportBaseMapper {

    IPage<DoctorAskDto> queryDoctorAskList(@Param("page") Page page,@Param("reportState") String reportState);

    Integer countByIdNo(String idNo);

    IPage<MedicalReport> searchReportList(@Param("page")Page page, @Param("doctorId")Long doctorId, @Param("reportState")String reportState);

    IPage<MedicalReport> searchReportListForPatient(@Param("page")Page page, @Param("idNo")String idNo, @Param("reportState")String reportState);

    MedicalReport selectRecordById(Long id);
}
