/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：订单表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.repository;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xwd.hospital.server.dto.*;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;
import com.xwd.hospital.server.domain.Order;
import com.xwd.hospital.server.repository.base.OrderBaseMapper;

@Repository
public interface OrderMapper extends OrderBaseMapper {

    IPage<OrderDto> queryOrderListForMiniApp(@Param("page") Page<OrderDto> page, @Param("userInfoId")Long userInfoId, @Param("state")String state);

    List<PatientMiniAppHomeDto> selectDoctorListByOrderCount();

    IPage<DoctorIncomeDTO> getDoctorIncome(@Param("page") Page<OrderDto> page,@Param("orderStates") List<String> orderStates,@Param("doctorId") Long doctorId,@Param("startTime") Date startTime,
                                           @Param("endTime") Date endTime);

    List<SmsOrderCountDto> selectCountForSms();

    IPage<PatientCaseDto> queryPatientCaseList(@Param("page")Page page, @Param("idNo")String idNo);
}
