/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：影像报告表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xwd.hospital.server.base.BaseService;
import com.xwd.hospital.server.domain.MedicalReport;
import com.xwd.hospital.server.dto.DoctorAskDto;
import com.xwd.hospital.server.dto.ReportDto;

public interface MedicalReportService extends BaseService<MedicalReport> {

    boolean uploadReport(ReportDto dto);

    boolean updateReport(ReportDto dto);

    MedicalReport myDoctorAsk();

    IPage<DoctorAskDto> queryDoctorAskList(Page page,String state);

    IPage<MedicalReport> searchReportList(Page page, Long doctorId, String state);

    IPage<MedicalReport> searchReportListForPatient(Page page, String idNo, String stat);

    MedicalReport searchForPatient(Long id);
}
