package com.xwd.hospital.server.util;

import com.qcloud.cos.COSClient;
import com.tencentcloudapi.common.Credential;
import com.tencentcloudapi.common.exception.TencentCloudSDKException;
import com.tencentcloudapi.ocr.v20181119.OcrClient;
import com.tencentcloudapi.ocr.v20181119.models.IDCardOCRRequest;
import com.tencentcloudapi.ocr.v20181119.models.IDCardOCRResponse;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class TencentOCRUtil {
    // 子账户的SecretId
    private static String secretId = "AKIDhM2Wpy0TjneHhuwpSoxseOBrhMqDh1GK";
    // 子账户的SecretKey
    private static String secretKey = "53zrjX7hPvcBjJ1d1gDWeyaHNOGwNYff";
    //地区
    private static String region = "ap-shanghai";

    private static OcrClient getOCRClient() {
        Credential credential = new Credential(secretId, secretKey);
        OcrClient ocrClient = new OcrClient(credential, region);
        return ocrClient;
    }

    public IDCardOCRResponse idCardOcr(String imageBase64String) {
        if(StringUtils.isEmpty(imageBase64String)){
            return null;
        }
        IDCardOCRResponse idCardOCRResponse = null;
        OcrClient OCRClient = getOCRClient();
        IDCardOCRRequest idCardOCRRequest = new IDCardOCRRequest();
        idCardOCRRequest.setImageBase64(imageBase64String);
        idCardOCRRequest.setCardSide("FRONT");
        try{
            log.info("开始OCR识别身份证-----------------------");
            idCardOCRResponse = OCRClient.IDCardOCR(idCardOCRRequest);
            log.info("OCR识别身份证结束-----------------------");
            log.info("姓名"+idCardOCRResponse.getName());
            log.info("idNo"+idCardOCRResponse.getIdNum());
        }catch (TencentCloudSDKException e){
            log.error(e.getMessage());
            return null;
        }

        return idCardOCRResponse;
    }
}


